<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="?android:attr/listPreferredItemHeight"
    android:background="@color/color_null"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:padding="6dip" >

    <ImageView
        android:id="@+id/medialist_item_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="6dip"
        android:gravity="center_vertical"
        android:visibility="gone" />

    <LinearLayout
        android:layout_width="0dip"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:paddingRight="10dip" >

        <TextView
            android:id="@+id/medialist_item_title_txt"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="none"
            android:gravity="center_vertical"
            android:maxLines="1"
            android:textColor="@color/highlight_file"
            android:text="Stream Text" />

        <ProgressBar
            android:id="@+id/hls_dl_progress"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="6dip"
            android:layout_marginTop="8dip"
            android:paddingLeft="10dip"
            android:paddingRight="15dip"
            android:max="100"
            android:progressDrawable="@drawable/progress_horiz_mini"
            android:visibility="gone" />
    </LinearLayout>

    <ImageView
        android:id="@+id/mediaitem_associated_subtitle_img"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/subtitle_flag"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/mediaitem_DRM_img"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:src="@drawable/secured_httpstr_flag"
        android:visibility="gone" />

    <ImageButton
        android:id="@+id/mediaitem_associated_resume_time"
        style="?android:attr/buttonStyleSmall"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:focusable="false"
        android:focusableInTouchMode="false"
        android:src="@drawable/av_fast_forward"
        android:visibility="gone" />

</LinearLayout>